#-----------------------------------------------------------------------------
%define		dist		.ok
#-----------------------------------------------------------------------------
Name		:	brasero
Version		:	3.12.3
Release		:	17.0.10.rel%{?dist}
Summary		:	An application used to burn CD/DVD

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://ftp.gnome.org/pub/gnome/sources/brasero

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-core-devel
BuildRequires	:	desktop-file-utils
Buildrequires	:	gobject-introspection
Buildrequires	:	gst-plugins-base
Buildrequires	:	libburn
Buildrequires	:	libisoburn
Buildrequires	:	libisofs
Buildrequires	:	libcanberra
Buildrequires	:	libnotify	>= 0.6.1
Buildrequires	:	tracker-devel

Requires	:	glib
#-----------------------------------------------------------------------------
%description
Brasero is a CD/DVD mastering tool for the GNOME Desktop. It is
designed to be simple and easy to use. 

Features:

Data CD/DVD:
- supports edition of discs contents (remove/move/rename files
  inside directories)
- can burn data CD/DVD on the fly
- automatic filtering for unwanted files (hidden files, broken/recursive
  symlinks, files not conforming to joliet standard, ...)
- supports multisession
- supports joliet extension
- can write the image to the hard drive

Audio CD:
- write CD-TEXT information (automatically found thanks to gstreamer)
- supports the edition of CD-TEXT information
- can burn audio CD on the fly
- can use all audio files handled by GStreamer local installation
  (ogg, flac, mp3, ...)
- can search for audio files inside dropped folders 
- can insert a pause
- can split a track

CD/DVD copy:
- can copy a CD/DVD to the hard drive
- can copy DVD and CD on the fly
- supports single-session data DVD
- supports any kind of CD
- can copy encrypted Video DVDs (needs libdvdcss)

Others:
- erase CD/DVD
- can save/load projects
- can burn CD/DVD images and cue files
- song, image and video previewer
- device detection thanks to HAL
- file change notification (requires kernel > 2.6.13)
- supports Drag and Drop / Cut'n'Paste from nautilus (and others apps)
- can use files on a network as long as the protocol is handled by
  gnome-vfs
- can search for files thanks to beagle (search is based on keywords
  or on file type)
- can display a playlist and its contents (note that playlists are
  automatically searched through beagle)
- all disc IO is done asynchronously to prevent the application from
  blocking
- Brasero default backend is provided by cdrtools/cdrkit but libburn
  can be used as an alternative

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_includedir}/%{name}3/%{name}-*.h
%{_libdir}/%{name}3/plugins/lib%{name}-*.so
%{_libdir}/lib%{name}-*.so*
%{_libdir}/pkgconfig/lib%{name}-*.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/lib%{name}-*/*.{html,png}
%{_datadir}/gtk-doc/html/lib%{name}-*/style.css
%{_datadir}/gtk-doc/html/lib%{name}-*/*.devhelp2
%{_datadir}/help/*/%{name}/*.page
%{_datadir}/help/*/%{name}/figures/*.{page,png}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}-symbolic.svg
%{_datadir}/%{name}/icons/hicolor/*/actions/*.png
%{_datadir}/%{name}/icons/hicolor/*/status/%{name}-disc-*.png
%{_datadir}/%{name}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/%{name}/icons/hicolor/scalable/status/%{name}-disc-*.svg
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.1.gz

%posttrans
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1

%post
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  fi

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure							\
        --prefix=%{_prefix}					\
        --includedir=%{_includedir}				\
        --sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--enable-inotify					\
	--enable-libburnia					\
	--enable-preview					\
	--enable-search						\
	--disable-nautilus					\
	--disable-caches					\
	--disable-static					\

sed -i								\
  -e 's! -shared ! -Wl,--as-needed\0!g'				\
  libtool

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
